use std::sync::{Arc, Mutex, MutexGuard, PoisonError};
use crate::{api::ws::WsHandler, db::Database};



#[derive(Debug, Clone)]
pub struct AppContext {
    db: Database,
    ws: WsHandler
}

impl AppContext {
    pub fn new(db: Database) -> Self {
        Self {
            db,
            ws: WsHandler::new()
        }
    }

    pub fn db(&mut self) -> &mut Database {
        &mut self.db
    }
    pub fn ws(&mut self) -> &mut WsHandler {
        &mut self.ws
    }
}
